iGalerie

Vous n'êtes pas identifié(e).

#1 18-02-2020 11:50:34

Sutra
Membre
Inscription : 02-04-2010
Messages : 5

Mariadb10.3, Apache 2.4, php 5.6: pb install [résolu]

Bonjour,

ai téléchargé Igalerie2.4.13

l'install échoue à l'étape 2:
Fatal error: Maximum execution time of 30 seconds exceeded in C:\ImsWeb\ImsWeb01\ImsWebGal\includes\classes\db.class.php on line 245

ai vérifié les tables igal2_ de la base avec phpmyadmin. elles sont bien créées dans Mariabdb.

le fichier config/conf.php n'est pas créé !


bien cordialement.

Dernière modification par Sutra (20-02-2020 12:29:06)

Hors ligne

#2 19-02-2020 14:45:05

David
Développeur d'iGalerie
Inscription : 12-05-2006
Messages : 3 950
Site Web

Re : Mariadb10.3, Apache 2.4, php 5.6: pb install [résolu]

Salut,

As-tu des fichiers .xml dans le répertoire "errors" ?

Hors ligne

#3 19-02-2020 15:26:35

Sutra
Membre
Inscription : 02-04-2010
Messages : 5

Re : Mariadb10.3, Apache 2.4, php 5.6: pb install [résolu]

Bonjour David,

1) Je te remercie de preter attention à ma requete.
J'ai deja utilise igalerie en 2010 avec plaisir.

2) le contenu de \errors est :
<error md5="1a293a7290393697bd3cd0eae78e95a8">
<version>2.4.13</version>
<type>PHP_ERROR</type>
<date>2020-02-19 12:39:42</date>
<q>step%2F2</q>
<file>includes%5Cclasses%5Cdb.class.php</file>
<line>244</line>
<message>Maximum+execution+time+of+30+seconds+exceeded</message>
<details>a%3A0%3A%7B%7D</details>
</error>

3) mon install igalerie pour maria:

localhost
root
xxxx
imsgalerie
igal_2

4) Mysql.exe est dans le dossier "c:\MariaDB103\bin"

5) ma config apache pour le dossier ou est igalerie (ImsWebGal):
....
Alias /ImsWebGal/ "c:/imsweb/imsweb01/ImsWebGal/"
<Directory "c:/imsweb/imsweb01/ImsWebGal/">
    Options Indexes MultiViews
    AllowOverride All
    Order allow,deny
    Allow from all
</Directory>
......

tomy.

Dernière modification par Sutra (19-02-2020 15:57:36)

Hors ligne

#4 20-02-2020 11:03:35

David
Développeur d'iGalerie
Inscription : 12-05-2006
Messages : 3 950
Site Web

Re : Mariadb10.3, Apache 2.4, php 5.6: pb install [résolu]

Il n'y a aucune raison pour que le script d'installation mette plus de 30 secondes a s'exécuter. Peut-être un problème avec ta configuration ? Essayes en remplaçant la ligne 62 du fichier includes/prepend.php :

//set_time_limit(30);

par celle-ci :

set_time_limit(60);

Hors ligne

#5 20-02-2020 12:28:18

Sutra
Membre
Inscription : 02-04-2010
Messages : 5

Re : Mariadb10.3, Apache 2.4, php 5.6: pb install [résolu]

Merci, Oh GrandGalerieNaute !

Cette modification limite de temps a résolu le problème: il manquait quelques secondes.
Je corrige l'intitulé en résolu.
Igalerie est compatible Mariadb 10.3.

Dernière modification par Sutra (20-02-2020 12:30:56)

Hors ligne

Pied de page des forums